/* This is a driver program to test the function engrProgram.

  Input:  a character
  Output: names of programs (Civil, Electrical, ... )
 ------------------------------------------------------------*/

#include <iostream>         // cin, cout, <<, >>
#include <string>	        // string
using namespace std;

string engrProgram(char progCode);

int main()
{
  char code;
  cout << "Enter the code of an engineering program: "; 
  cin >> code;
  cout << engrProgram(code) << endl;

}

/*------------------------------------------------------------
  This function returns the name of an engineering program
  corresponding to a given program code.

  Receive: a character
  Return:  the appropriate (string) name of an engineering 
           program (Civil, Electrical, Industrial, Mechanical,
           Undecided) or an empty string for a non-valid code
  Output:  An error message in case of a non-valid code
--------------------------------------------------------------*/
string engrProgram(char progCode)
{
  switch (progCode)
  {
    case 'C': return "Civil";
    case 'E': return "Electrical";
    case 'I': return "Industrial";
    case 'M': return "Mechanical";
    case 'U': return "Undecided";
    default:  cerr << "*** code error: " << progCode << " ***\n";
              return "";
  }
}
